Skip to main content
POST
/
v1
/
quotes
/
{quote_id}
/
wallet-settlement
Start wallet settlement
curl --request POST \
  --url https://api.firmament.shaikazeem.com/v1/quotes/{quote_id}/wallet-settlement \
  --header 'Content-Type: application/json' \
  --data '
{
  "taker_wallet": "11111111111111111111111111111111",
  "secret_hash": "0000000000000000000000000000000000000000000000000000000000000000"
}
'
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
taker_wallet: '11111111111111111111111111111111',
secret_hash: '0000000000000000000000000000000000000000000000000000000000000000'
})
};

fetch('https://api.firmament.shaikazeem.com/v1/quotes/{quote_id}/wallet-settlement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trade_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "taker_lock_transaction": {
    "transaction_base64": "<string>",
    "recent_blockhash": "<string>"
  },
  "expires_at": "2023-11-07T05:31:56Z",
  "integration_status": "runtime_orchestrated",
  "next_action": {
    "type": "start_wallet_settlement",
    "method": "POST",
    "path": "/v1/quotes/018f5a45-822c-7f42-9d18-9df9f88c5c7a/wallet-settlement"
  }
}
{
"error": {
"code": "invalid_json",
"message": "<string>",
"details": [
"<string>"
]
}
}
{
"error": {
"code": "invalid_json",
"message": "<string>",
"details": [
"<string>"
]
}
}
{
"error": {
"code": "invalid_json",
"message": "<string>",
"details": [
"<string>"
]
}
}

Path Parameters

quote_id
string<uuid>
required

Quote identifier.

Body

application/json
taker_wallet
string
required

Solana wallet address.

Example:

"11111111111111111111111111111111"

secret_hash
string
required

Hex-encoded SHA-256 preimage commitment generated by the browser. The preimage itself remains browser-local until redeem time.

Pattern: ^[0-9a-fA-F]{64}$

Response

Wallet settlement started.

quote_id
string<uuid>
required
trade_id
string<uuid>
required
taker_lock_transaction
object
required
expires_at
string<date-time>
required
integration_status
enum<string>
required
Available options:
runtime_orchestrated
next_action
object
required